//
//  ViewController.swift
//  GiocoDiCarte
//
//  Created by Luciano Bononi on 10/03/2020.
//  Copyright © 2020 Luciano Bononi. All rights reserved.
//

import UIKit

class ViewController: UIViewController {

    var flipCount: Int = 0
//  var flipCount = 0
    
    var emojiChoices: Array<String> = ["👻", "🤡", "👻", "🤡", "❤️" ,"❤️"]
//  var emojiChoices = ["👻", "🤡", "👻", "🤡", "❤️" ,"❤️"]
    
    // Outlet flipCountLabel per controllare aggiornamento dei Flips sulla label della View
    @IBOutlet weak var flipCountLabel: UILabel!
    
    // Outlet Collection cardButtons per indicizzare tramite array di UIButtons i buttons della view (le cards)
    @IBOutlet var cardButtons: [UIButton]!
    
    //metodo (target) associato all'evento (action) touch-up inside eseguito nella View all'interno di ogni Button collegato
    @IBAction func touchCard(_ sender: UIButton) {
        flipCount += 1
        if let cardNumber = cardButtons.firstIndex(of: sender) {
            flipCard(withEmoji: emojiChoices[cardNumber], on: sender)
        } else {
            print("chosen card was not in cardButtons")
        }
        flipCountLabel.text = "Flips: \(flipCount)"
    }
    
    // metodo di servizio che gira le cards settando le properties dei buttons
    func flipCard(withEmoji emoji: String, on button: UIButton) {
//        print("FlipCard with emoji: \(emoji)")
        if button.currentTitle == emoji {
            button.setTitle("", for: UIControl.State.normal)
            button.backgroundColor = #colorLiteral(red: 1, green: 0.5763723254, blue: 0, alpha: 1)
        } else {
            button.setTitle(emoji, for: UIControl.State.normal)
            button.backgroundColor = #colorLiteral(red: 1, green: 1, blue: 1, alpha: 1)
        }
    }
}

